import tensorflow as tf
from tensorflow import keras

# 初期化の範囲を設定
init_range_hidden = (-0.1, 0.1)
init_range_out = (-0.1, -0.05)
init_range_out = (-0.036, -0.035)

# モデルの定義
model = keras.Sequential([
    keras.layers.Dense(18, input_dim=18, activation='sigmoid', 
                       kernel_initializer=keras.initializers.RandomUniform(minval=init_range_hidden[0], maxval=init_range_hidden[1])),
    keras.layers.Dense(2, activation='sigmoid',
                       kernel_initializer=keras.initializers.RandomUniform(minval=init_range_out[0], maxval=init_range_out[1]))
])

# モデルの保存
model_save_path = r"C:\Users\ryusu\Desktop\OpenSimSimulator\model\default\ANN_default/pre_learned_model_0.keras"
model.save(model_save_path)
print(f"Model saved to {model_save_path}")