def get_text(file_path, target_line_num, start_pos, end_pos):
    # ファイルを開く
    with open(file_path, "r", encoding="utf-8") as file:
        # ファイル内の全行をリストとして取得する
        lines = file.readlines()
        # 指定した行番号が範囲内であるかを確認
        if 0 <= target_line_num - 1 < len(lines):
            # 指定した行の部分文字列をスライス
            target_line = lines[target_line_num - 1]
            extracted_text = target_line[start_pos:end_pos]
        else:
            print(f"行 {target_line_num} はファイルの範囲外です。")
            exit()
    return extracted_text